﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.Entity;
using EntityFrameworkCodeFirst.Data;

namespace EntityFrameworkCodeFirst
{
  public class CodeStockInitializer : DropCreateDatabaseIfModelChanges<CodeStockContext>
  {
    protected override void Seed(CodeStockContext context)
    {
      base.Seed(context);

      var category = new SessionCategory() { SessionCategoryName = "Data" };
      context.SessionCategories.Add(category);

      var session = new Session() { 
        Title = "Code First", Description = "Random babble", SessionCategory = category, Attendees = new HashSet<Attendee>() };
      context.Sessions.Add(session);

      var attentdee = new Attendee() { FirstName = "John", LastName = "Doe" };
      context.Attendees.Add(attentdee);
      context.SaveChanges();

    }
  }
}
