﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.Entity;
using EntityFrameworkCodeFirst.Data;

namespace EntityFrameworkCodeFirst
{
  public class CustomInitializer : IDatabaseInitializer<CodeStockContext>
  {
    private CodeStockInitializer initializer;

    public void InitializeDatabase(CodeStockContext context)
    {
      initializer = new CodeStockInitializer();
      if (context.ObjectContext.DatabaseExists())
      {
        var result = context.ObjectContext.ExecuteStoreQuery<string>("Select column_name From information_schema.columns where column_name='notes' and table_name='Attendee'", new object[] { });
        if (result.Count() == 0)
          context.ObjectContext.ExecuteStoreCommand("Alter Table dbo.Attendee Add Notes nvarchar(max) NULL", new object[] { });

        
      }
      else
      {
        initializer.InitializeDatabase(context);
      }
    }
  }
}
